const express = require("express");
const recipeRoutes = require("./routes/recipeRoutes");
const app = express();

const PORT = 3000;

app.use(express.json()); //initializing middleware for parsing json bodies

app.use("/recipes", recipeRoutes);

app.get("/", (req, res) => {
  res.send("Hello vera");
});

app.listen(PORT, () => {
  console.log(`veras app listening at http://localhost:${PORT}`);
});
